package ru.redguy.webinfomod.pages.auth;

import fi.iki.elonen.NanoHTTPD;
import org.apache.commons.io.IOUtils;
import ru.redguy.webinfomod.*;
import ru.redguy.webinfomod.langs.LangFile;
import ru.redguy.webinfomod.langs.enums.RootCategories;
import ru.redguy.webinfomod.langs.enums.Titles;
import ru.redguy.webinfomod.langs.enums.Words;

import java.io.IOException;
import java.nio.charset.Charset;

@WebPage(url = "/auth/")
public class Index implements IWebPage {

    public NanoHTTPD.Response getPage(Config config, LangFile langFile, NanoHTTPD.IHTTPSession session) throws IOException {
        String path = "/resources/web/pages/auth/Index.html";
        String page = IOUtils.toString(WebServer.class.getResourceAsStream(path), Charset.defaultCharset());
        page = page.replace("<replace id=\"1\"/>",langFile.getCategory(RootCategories.Titles).getString(Titles.authPage));
        page = page.replace("<replace id=\"2\"/>",langFile.getCategory(RootCategories.Words).getString(Words.user));
        page = page.replace("<replace id=\"3\"/>",langFile.getCategory(RootCategories.Words).getString(Words.password));
        return NanoHTTPD.newFixedLengthResponse(page);
    }
}
