function onload() {
    updatePageInfo();
}

function updatePageInfo() {
    let header = document.getElementById("header");
    let stat = document.getElementById("stat");
    header.innerText = "Идёт загрузка...";
    stat.innerHTML = "";
    var xhr = new XMLHttpRequest();
    xhr.open('GET', '/json/mainData.json', true);
    xhr.setRequestHeader("Content-Type", "text/plain;charset=UTF-8");
    xhr.send();
    xhr.onreadystatechange = function () {
        if (xhr.readyState !== 4) return;
        let data = JSON.parse(xhr.responseText);
        header.innerText = "Мод запущен на сервере";
        appendLine(stat, ["Версия игры", data.MineV]);
        appendLine(stat, ["Игроки", data.Players]);
    }
}

function appendLine(table,array) {
    let tr = document.createElement("tr");
    for (let arrayKey in array) {
        let td = document.createElement("td");
        td.innerText = array[arrayKey];
        tr.appendChild(td);
    }
    table.appendChild(tr);
}

document.addEventListener("DOMContentLoaded", onload);